summaryrefslogtreecommitdiff
path: root/tests/run-assert-msg-test.sh
diff options
context:
space:
mode:
authorMatthias Clasen <mclasen@redhat.com>2011-10-24 13:43:11 -0400
committerMatthias Clasen <mclasen@redhat.com>2011-10-24 13:43:11 -0400
commit94a46ea410ced6904691dba16d01485b6a6283f0 (patch)
tree1b3e18a5b8bb8b72409e7887982914097739874d /tests/run-assert-msg-test.sh
parent73e3c98df07ae7180922216aa3bebfb434405375 (diff)
downloadglib-94a46ea410ced6904691dba16d01485b6a6283f0.tar.gz
Fix 'make check' with clang
Patch by Elias Pipping https://bugzilla.gnome.org/show_bug.cgi?id=662491
Diffstat (limited to 'tests/run-assert-msg-test.sh')
-rwxr-xr-xtests/run-assert-msg-test.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/run-assert-msg-test.sh b/tests/run-assert-msg-test.sh
index 8557e020f..ee2014914 100755
--- a/tests/run-assert-msg-test.sh
+++ b/tests/run-assert-msg-test.sh
@@ -21,7 +21,7 @@ fi
echo_v "Running assert-msg-test"
OUT=$(./assert-msg-test 2>&1) && fail "assert-msg-test should abort"
-echo "$OUT" | grep -q '^ERROR:.*assert-msg-test.c:.*:main: assertion failed: (42 < 0)' || \
+echo "$OUT" | grep -q '^ERROR:.*assert-msg-test.c:.*:.*main.*: assertion failed: (42 < 0)' || \
fail "does not print assertion message"
if ! type gdb >/dev/null 2>&1; then
@@ -38,7 +38,7 @@ OUT=$(gdb --batch --ex run --ex "print (char*) __glib_assert_msg" .libs/$msg_tes
fail "failed to run gdb"
echo_v "Checking if assert message is in __glib_assert_msg"
-if ! echo "$OUT" | grep -q '^$1.*"ERROR:.*assert-msg-test.c:.*:main: assertion failed: (42 < 0)"'; then
+if ! echo "$OUT" | grep -q '^$1.*"ERROR:.*assert-msg-test.c:.*:.*main.*: assertion failed: (42 < 0)"'; then
fail "__glib_assert_msg does not have assertion message"
fi